# Uses of Class
ch.qos.logback.core.joran.spi.ElementPath

Packages that use ElementPath
Package
Description
ch.qos.logback.access.sift
ch.qos.logback.classic.sift
ch.qos.logback.core.joran
Contains Joran configuration classes.
ch.qos.logback.core.joran.action
ch.qos.logback.core.joran.event
ch.qos.logback.core.joran.event.stax
ch.qos.logback.core.joran.spi

## Uses of ElementPath in ch.qos.logback.access.sift

Methods in ch.qos.logback.access.sift that return ElementPath
Modifier and Type
Method
Description
`protected ElementPath`
SiftingJoranConfigurator.`initialElementPath()`

## Uses of ElementPath in ch.qos.logback.classic.sift

Methods in ch.qos.logback.classic.sift that return ElementPath
Modifier and Type
Method
Description
`protected ElementPath`
SiftingJoranConfigurator.`initialElementPath()`

## Uses of ElementPath in ch.qos.logback.core.joran

Methods in ch.qos.logback.core.joran that return ElementPath
Modifier and Type
Method
Description
`protected ElementPath`
GenericConfigurator.`initialElementPath()`

## Uses of ElementPath in ch.qos.logback.core.joran.action

Methods in ch.qos.logback.core.joran.action with parameters of type ElementPath
Modifier and Type
Method
Description
`abstract boolean`
ImplicitAction.`isApplicable(ElementPath currentElementPath, Attributes attributes, InterpretationContext ec)`
Check whether this implicit action is appropriate in the current context.
`boolean`
NestedBasicPropertyIA.`isApplicable(ElementPath elementPath, Attributes attributes, InterpretationContext ec)`
`boolean`
NestedComplexPropertyIA.`isApplicable(ElementPath elementPath, Attributes attributes, InterpretationContext ic)`

## Uses of ElementPath in ch.qos.logback.core.joran.event

Fields in ch.qos.logback.core.joran.event declared as ElementPath
Modifier and Type
Field
Description
`final ElementPath`
StartEvent.`elementPath`

## Uses of ElementPath in ch.qos.logback.core.joran.event.stax

Fields in ch.qos.logback.core.joran.event.stax declared as ElementPath
Modifier and Type
Field
Description
`ElementPath`
StartEvent.`elementPath`
Methods in ch.qos.logback.core.joran.event.stax that return ElementPath
Modifier and Type
Method
Description
`ElementPath`
StartEvent.`getElementPath()`

## Uses of ElementPath in ch.qos.logback.core.joran.spi

Subclasses of ElementPath in ch.qos.logback.core.joran.spi
Modifier and Type
Class
Description
`class`
`ElementSelector`
ElementSelector extends `ElementPath` with matching operations such as `ElementSelector.fullPathMatch(ElementPath)`, `ElementSelector.getPrefixMatchLength(ElementPath)` and `ElementSelector.getTailMatchLength(ElementPath)`.
Methods in ch.qos.logback.core.joran.spi that return ElementPath
Modifier and Type
Method
Description
`ElementPath`
ElementPath.`duplicate()`
Methods in ch.qos.logback.core.joran.spi with parameters of type ElementPath
Modifier and Type
Method
Description
`boolean`
ElementSelector.`fullPathMatch(ElementPath path)`
`int`
ElementSelector.`getPrefixMatchLength(ElementPath p)`
Returns the number of "prefix" components that this pattern has in common with the pattern p passed as parameter.
`int`
ElementSelector.`getTailMatchLength(ElementPath p)`
Returns the number of "tail" components that this pattern has in common with the pattern p passed as parameter.
`boolean`
ElementSelector.`isContainedIn(ElementPath p)`
`List<Action>`
RuleStore.`matchActions(ElementPath elementPath)`
Return a list of actions matching a pattern.
`List<Action>`
SimpleRuleStore.`matchActions(ElementPath elementPath)`
Constructors in ch.qos.logback.core.joran.spi with parameters of type ElementPath
Modifier
Constructor
Description
``
`Interpreter(Context context, RuleStore rs, ElementPath initialElementPath)`